
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>css样式表中的样式覆盖顺序 / iVAN</title>

    <meta name="description" content="css样式表中的样式覆盖顺序 原文:css样式表中的样式覆盖顺序 有时候在写CSS的过程中,某些限制总是不起作用,这就涉及了CSS样式覆盖的问题,如下   &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;style&gt; #navigator { position: absolute; background-color: red; } .current_bg { background-color: green; } &lt;/s ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">css样式表中的样式覆盖顺序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="https://www.cnblogs.com/zhangpengshou/archive/2012/08/08/2628737.html" rel="external nofollow noreferrer">css样式表中的样式覆盖顺序</a></p>
<p>有时候在写CSS的过程中，某些限制总是不起作用，这就涉及了CSS样式覆盖的问题，如下</p>
<p> </p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;style&gt;
        #navigator {
            position: absolute;
            background-color: red;
        }

        .current_bg {

            background-color: green;
        }
    &lt;/style&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="navigator" class="current_bg" &gt; 显示为红色&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>查找一些教材中（w3schools等），只说css的顺序是“元素上的style” &gt; “文件头上的style元素” &gt;“外部样式文件”，但对于样式文件中的多个相同样式的优先级怎样排列，没有详细说明。经过测试和继续搜索，得知优先级如下排列：</p>
<p> </p>
<p>1. 样式表的元素选择器选择越精确，则其中的样式优先级越高：</p>
<p>id选择器指定的样式 &gt; 类选择器指定的样式 &gt; 元素类型选择器指定的样式</p>
<p>所以上例中，#navigator的样式优先级大于.current_block的优先级，及时.current_block是最新添加的，也不起作用。</p>
<p> </p>
<p>2. 对于相同类型选择器制定的样式，在样式表文件中，越靠后的优先级越高</p>
<p>注意，这里是样式表文件中越靠后的优先级越高，而不是在元素class出现的顺序。比如.class2 在样式表中出现在.class1之后：</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;style&gt;
        .class1 {
            position: absolute;
            background-color: red;
        }

        .class2 {

            background-color: green;
        }
    &lt;/style&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="navigator" class="class1 class2" &gt; 显示为绿色&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p> </p>
<p>而某个元素指定class时采用 class="class2 class1"这种方式指定，此时虽然class1在元素中指定时排在class2的后面，但因为在样式表文件中class1处于class2前面，此时仍然是class2的优先级更高。</p>
<p> </p>
<p>3. 如果要让某个样式的优先级变高，可以使用!important来指定：</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;style&gt;
        .class1 {
            background-color: red  !important;
        }

        .class2 {

            background-color: green;
        }
    &lt;/style&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="navigator" class="class1 class2" &gt; 显示为红色&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p> 。</p>
<p> </p>
<p>对于一开始遇到的问题，有两种解决方案：</p>
<p>1. 将background-color从#navigator中拿出来，放到一个class .bg中，而.bg放到.current_bg之前：</p>
<pre>&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;style&gt;
        #navigator {
            position: absolute;

        }

        .bg {
            background-color: red;
        }

        .current_bg {

            background-color: green;
        }
    &lt;/style&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="navigator" class="bg"&gt; 显示为红色&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>  需要设置为#navigator元素指定class="bg"</p>
<p> </p>
<p>2. 使用!important:</p>
<pre>&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;style&gt;
        #navigator {
            position: absolute;
            ackground-color: red;
        }

        .current_bg {

            background-color: green !important;
        }
    &lt;/style&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="navigator" class="current_bg"&gt; 显示为绿色&lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p> </p>
<p> </p>
<p> 此时无需作任何其他改动即可生效。可见第二种方案更简单一些。 <br />转自：<a href="http://spartan1.iteye.com/blog/1526735" rel="external nofollow noreferrer">http://spartan1.iteye.com/blog/1526735</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 14:43:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/utf-8/" title="utf-8">utf-8</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>, <a href="https://www.iamivan.net/tag/charset/" title="charset">charset</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>css样式表中的样式覆盖顺序的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAQ9rXM.html" rel="bookmark">为什么 样式表 中的样式，在 开发者工具 中变为内联样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么 样式表 中的样式,在 开发者工具 中变为内联样式 如题所示.在外联样式表中写有div.slideBox{ width:1920px; height:460px; } 当在网页上通过 开发者工具 查看时(用的chrome),变为如下所示,为什么呢 元素标签是 &lt;div id=&quot;demo1&quot; class=&quot;slideBox&quot;&gt; ,里边没有任何样式 解决方案 看左边的dom结构,应该是被js赋值过了,我这里没有你说的问题 解决方案二: 什么是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmXDdz.html" rel="bookmark">在Web用户控件中引用样式表中样式的方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在Web用户控件中引用样式表中的样式 复制代码 代码如下: &lt;%@ Control Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;gl1.ascx.cs&quot; Inherits=&quot;admin_gl1&quot; EnableTheming=&quot;True&quot; %&gt; &lt; link href=&quot;../App_Themes/qiantai.css&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GZZXp.html" rel="bookmark">CSS样式表中z-index使用方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS 中的 z-index 属性用于设置节点的堆叠顺序, 拥有更高堆叠顺序的节点将显示在堆叠顺序较低的节点前面, 这是我们对 z-index 属性普遍的认识. 与此同时, 我们总是对堆叠顺序捉摸不透, 将 z-index 的值设得很大也未必能将节点显示在最前面. 本文将通过一些例子对 z-index 的使用方法进行分析, 并且为各位带入 z-index 层级树的概念. Z-index是什么意思?在CSS2.0中,Z-index 属性用来设置元素的堆叠顺序,拥有更高堆叠顺序的元素总是会处于堆叠顺			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLEP6M.html" rel="bookmark">js获取页面引用的css样式表中的属性值方法&lpar;推荐&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: function getStyle(node, property){ if (node.style[property]) { return node.style[property]; } else if (node.currentStyle) { return node.currentStyle[property]; } else if (document.defaultView &amp;&amp; document.defaultView.getComputedStyle) { var s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNJZwmM.html" rel="bookmark">css3响应式布局-样式表中内嵌法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   代码如下 复制代码 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt;  &lt;title&gt;响应式布局-样式表中内嵌法&lt;/title&gt;  &lt;meta charset=&quot;utf-8&quot;/&gt;  &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1&quot;/&gt; &lt;style&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEAknb.html" rel="bookmark">CSS样式表中SPAN和DIV的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|区别|样式表 SPAN 和 DIV 的区别在于,DIV(division)是一个块级元素,可以包含段落.标题.表格,乃至诸如章节.摘要和备注等.而SPAN 是行内元素,SPAN 的前后是不会换行的,它没有结构的意义,纯粹是应用样式,当其他行内元素都不合适时,可以使用SPAN. 下面以一个实例来说明这两个属性的区别. 代码: &lt;span&gt;SPAN标记有一个重要而实用的特性,即它什么事也不会做,它的唯一目的就是围绕你的HTML代码中的其它元素,这样你就可以为它们指定样式了.在此例中,&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqmlGM.html" rel="bookmark">CSS样式表中的类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|样式表 类 为了对网页格式的定义更为精确,有必要让相同的选择符也能分类,并能按照不同的类别来进行不同的样式设计.基本格式如下: 选择符.类别名 {属性:值} 类别名将可以在HTML的标识符里引用: &lt;标识符 class=类别名&gt;网页内容标识符&gt; 实例: &lt;html&gt; &lt;head&gt; &lt;title&gt;CSS例子&lt;/title&gt; &lt;style type=&quot;text/css&quot;&gt; &lt;!-- p.Englis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJKN2b.html" rel="bookmark">学习CSS样式表中的类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|样式表 类 为了对网页格式的定义更为精确,有必要让相同的选择符也能分类,并能按照不同的类别来进行不同的样式设计.基本格式如下: 选择符.类别名 {属性:值} 类别名将可以在HTML的标识符里引用: &lt;标识符 class=类别名&gt;网页内容标识符&gt; 实例: &lt;html&gt; &lt;head&gt; &lt;title&gt;CSS例子&lt;/title&gt; &lt;style type=&quot;text/css&quot;&gt; &lt;!-- p.Englis			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6dvAz.html" rel="bookmark">&lbrack;css&rsqb;简明教程 样式表中的类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|教程|样式表 类 为了对网页格式的定义更为精确,有必要让相同的选择符也能分类,并能按照不同的类别来进行不同的样式设计.基本格式如下: 选择符.类别名 {属性:值} 类别名将可以在HTML的标识符里引用: &lt;标识符 class=类别名&gt;网页内容标识符&gt; 实例: &lt;html&gt; &lt;head&gt; &lt;title&gt;CSS例子&lt;/title&gt; &lt;style type=&quot;text/css&quot;&gt; &lt;!-- p.Eng			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZAopn.html" rel="bookmark" class="title">Win7桌面右下角提示&OpenCurlyDoubleQuote;英特尔&lpar;R&rpar;快速存储技术未在运行&rdquo;怎么办？</a>
					<div>
						  故障现象: 英特尔(R)RST 服务是英特尔快速存储服务,即 intel rapidst,该程序为配备 SATA 磁盘的台式机.移动电脑和服务器平台系统提供更高的性能和可靠性.当使用一个或多个 S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXkGQM.html" rel="bookmark" class="title">aspnetforums 代码中的web设计模式</a>
					<div>
						web|设计 一直不怎么理解aspnetforums中的设计模式,大量的使用自定义控件,n-per的结构显得过于复杂.开始以为是因为要load user def skin的缘故,今天无意中看到一篇微软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLLAap.html" rel="bookmark" class="title">一路走来，网站建设&amp;amp&semi;nbsp&semi;实战经验分享</a>
					<div>
						网站建设  有点累,我就随笔写写,不过应该有实用的价值,虽然思维很乱 网站建设实战经验: 一.  想不如做,作为小小的个人站长,不要一开始就去思考新模式新技术,觉得可以,就马上去做,经验是在不断地实战 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrYryb.html" rel="bookmark" class="title">如何用asp进行base64加密</a>
					<div>
						&lt;%     OPTION EXPLICIT     const BASE_64_MAP_INIT =&quot;ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKgnAb.html" rel="bookmark" class="title">软文营销成功秘诀</a>
					<div>
						众所周知,软文在网络推广中起着十分重要的作用,高质量的软文可以为企业获得源源不断的访问率和转化率,为企业带来高利润的同时大大加强企业的知名度.所以,一篇优质的软文对于一个网站来说简直就像是一个常年的巨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL6LLb.html" rel="bookmark" class="title">浅谈系统的定时关机</a>
					<div>
						在写这个程序之前,我曾看到过别人用SDK写的关机程序.不过他的程序只在WIN9X下有效,在2000中就不行了,不能关机只能注销.因为2000属于多用户操作系统,要想关机就要获得权限.在查阅了MSDN后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK2Yjp.html" rel="bookmark" class="title">将美眉照片处理为地毯图案效果</a>
					<div>
						今天我们用Photoshop把一张美眉照片打造为地毯图案特效,主要用滤镜实现毛茸茸的质感效果. 原图如下: 制作步骤: 打开原图,复制一个背景层					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlyw8b.html" rel="bookmark" class="title">主板电容损坏导致的电脑重启</a>
					<div>
						故障现象:一台电脑,其配置为:PⅢ866MHz(双CPU).ATi Rage Pro AGP 2×显卡.微星MS-6326主板.384MB SDRAM ECC内存.希捷ST336705 LW SCSI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwdE5z.html" rel="bookmark" class="title">RTTI有害吗</a>
					<div>
						本章的各种设计方案都在努力避免使用RTTI,这或许会给大家留下&quot;RTTI有害&quot;的印象(还记得可怜的goto吗,由于给人印象不佳,根本就没有放到Java里来).但实际情况并非绝对如此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7e0qb.html" rel="bookmark" class="title">PS教你创建一款色彩缤纷的字体效果</a>
					<div>
						  今天的教程难度不大,考察同学们对钢笔工具的使用和渐变色彩的敏感度,拿来练手加强基础非常合适,而且完成效果也非常漂亮,素材已经打包好,马克后记得学. 先来张最终效果图: 热身练习 1. 使用椭圆工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2ydrM.html" rel="bookmark" class="title">PS怎么绘制iPhone手机的钢化膜&quest;</a>
					<div>
						  PS怎么绘制iPhone手机的钢化膜?          1.打开PS新建一个画布 2.点左下角工具栏,圆角矩形工具,半径像素可根据手机大小去调整 3.根据手机大小画出矩形,可填充为白色,描边为蓝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1a3ez.html" rel="bookmark" class="title">Win8系统打开软件要输入密码怎么解决？</a>
					<div>
						Win8系统打开软件要输入密码怎么解决?   具体操作如下: 1.注消并使用有管理员权限的帐户登录, 2.登录管理员帐户后,将你之前的帐户赋予管理员权限 操作方法:WIN+C -- 设置 -- 更改电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2YPOM.html" rel="bookmark" class="title">js中widow&period;open&lpar;&rpar;方法使用详解</a>
					<div>
						本文为大家详细介绍下js中widow.open()方法的各项参数及使用示例,有想学习的朋友可不要错过了,希望对大家有所帮助   一.window.open()支持环境: JavaScript1.0+/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa9eKM.html" rel="bookmark" class="title">win7系统如何创建显示桌面图标</a>
					<div>
						  win7系统如何创建显示桌面图标          首先新建一个记事本文件,输入以下命令,然后把文件复制到C:Windows目录里,并重命名为showdesktop.exe. [Shell] Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7AlmM.html" rel="bookmark" class="title">电脑时间不能同步，电脑时间同步出错的解决办法</a>
					<div>
						电脑时间不能同步.电脑时间同步出错的解决步骤: (小窍门:将日期和时间调整为接近当前,将可以避免电脑时间不能同步或进行同步时出错的问题) (在开始下面的设置之前,小编建议将&quot;自动与Inter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRY4xp.html" rel="bookmark" class="title">Win 2003下IIS配置教程</a>
					<div>
						  跟其它windows平台一样,windows2003同样可以采用第三方软件或系统自带IIS6.0两种方式架设WEB服务器;同时 windows2003还有一个web版本,专用于基于web服务的各种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZDlxb.html" rel="bookmark" class="title">电脑显卡配置查看方法</a>
					<div>
						  通过电脑自身的功能&quot;设备管理器&quot;右键&quot;我的电脑&quot;--属性(打开系统属性)--&quot;硬件&quot;选项下的&quot;设备管理器&quot;--&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/Mg3jlEM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAxMjAxMDQ1Mjg2ODc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/Mg3jlEM.html" rel="bookmark" class="title">电话礼仪</a>
					<div>
						一.开场白        无论是正式的电话业务,还是一般交往中的不太正式的通话,自报家门都是必需的,这是对对方的尊重,即使是你熟悉的人,也应该主动报出自己的姓名,因为接电话方往往不容易通过声音准确无误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVPe6b.html" rel="bookmark" class="title">java class生成jar包&lpar;转&rpar;</a>
					<div>
						  进入dos操作符窗口cd进入要打成jar包的class文件所有文件夹目录jar cvf [生成jar的名称.jar] [列出class文件] //若有多个,以空隔隔开 如:一.操作零散的单个或几个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr9WWM.html" rel="bookmark" class="title">svn-SVN上传代码是代码失败，怎么解决</a>
					<div>
						问题描述 SVN上传代码是代码失败,怎么解决 账号的权限没有问题,在其他电脑上已验证,但是commit时总是报出如下错误: Description : You are not authorized t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkoaJb.html" rel="bookmark" class="title">饥饿和公平</a>
					<div>
						原文地址  By Jakob Jenkov  翻译 Simon-SZ  校对:方腾飞 如果一个线程因为CPU时间全部被其他线程抢走而得不到CPU运行时间,这种状态被称之为&quot;饥饿&quot;. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZNQYM.html" rel="bookmark" class="title">《Photoshop图像合成专业技法（修订版）》&mdash;第1章1&period;2节调整选区</a>
					<div>
						1.2 调整选区 Photoshop图像合成专业技法(修订版) 在上一个教程中,我们使用&quot;调整边缘&quot;对话框命令完成了从背景中选取人物的大量工作.有时候非常幸运,因为我们建立好的选区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWllEqp.html" rel="bookmark" class="title">codeblocks-debug ffmpeg出现断错误</a>
					<div>
						问题描述 debug ffmpeg出现断错误 用codeblocks编译ffmpeg,可以正常运行,但是debug的时候出现断错误,请问大神们怎么解决? 解决方案 问题已经解决,可能是我用的这台电脑的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD9w3z.html" rel="bookmark" class="title">Objective-C 继承和多态</a>
					<div>
						学习Java我们知道类有三大特征,封装,继承,多态.而在Objective-C中也有继承的概念,今天就来看看Objective-C中的继承和多态. 首先,我们来看看示例代码: //Animal.h # ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeL70b.html" rel="bookmark" class="title">巧妙设置Android来方便管理Linux和Windows</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1056511 前几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm056b.html" rel="bookmark" class="title">腾讯应用开发3006 &colon; name lookup timed out 错误</a>
					<div>
						昨天到今天发现应用访问不正常,用户发表数据很少,一查日志,QQ的 openApi 返回的结果全是 name lookup timed out,莫名其妙. 在服务器上 ping , nslookup , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKl7kz.html" rel="bookmark" class="title">data gurad物理备份方式中的failover转换</a>
					<div>
						切换分为switchover和failover,前者是无损切换,不会丢失数据,而后者则有可能会丢失数据,并且切换后原primary 数据库也不再是该data guard 配置的一部分了.针对不同sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQXWmp.html" rel="bookmark" class="title">&ast;ST东碳信披违规最穷董事长年薪3万被罚10万</a>
					<div>
						*ST东碳(600691)信披违规一事终于尘埃落定.公司于7日收到中国证监会的行政处罚决定书,被认定存在信披违规行为,公司及时任董事长.总经理兼董秘黄彬受到处罚. 中国证监会认定,2009年4月7日至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLdGOM.html" rel="bookmark" class="title">个人云方兴未艾 百度等巨头成加速引擎</a>
					<div>
						百度近日宣布,开放注册4个月的百度个人云用户数突破2000万,即每天有近20万人改变了他们的存储习惯,把文件放到了百度提供的&quot;云&quot;上.同时,http://www.aliyun.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkn88M.html" rel="bookmark" class="title">《流量的秘密 Google Analytics网站分析与商业实战》一2&period;5　有问有答：选择合适的工具</a>
					<div>
						2.5 有问有答:选择合适的工具 参考资料 1 www.bloomberg.com/news/2013-02-28/facebook-buys-microsoft-atlas-ad-placement ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
